#include <Ogre.h>
#include <OIS/OIS.h>
#include <OgreConfigFile.h>
#include <OgreException.h>

using namespace Ogre;

class SceneObject {

	public:
		virtual bool update( Real elapsedTime, OIS::Keyboard * p_keyboard, OIS::Mouse * p_mouse ) = 0;

		SceneNode * getNaviDir();
		SceneNode * getCameraNode();
		Vector3 getWorldPosition();

	protected:
		SceneNode *		m_navicella; // Oggetto nella scena
		SceneNode *		m_naviDir; // Direzione della navicella
		SceneNode *		m_cameraNode; // Nodo della camera
		Entity *		m_entity; // Entity dell'oggetto
		SceneManager *	m_sceneMgr;
	
};